Index: code/branches/presentation3/data/levels/Fight in our Back.oxw
===================================================================
--- code/branches/presentation3/data/levels/Fight in our Back.oxw	(revision 7081)
+++ code/branches/presentation3/data/levels/Fight in our Back.oxw	(revision 7083)
@@ -46,5 +46,5 @@
       <BoxCollisionShape position="0,0.1,-11"  halfExtents="2.2, 1.8, 6" />
       <BoxCollisionShape position="0,0.1,-19"  halfExtents="1.4, 1, 2" />
-    </collisionShapes>  include("templates/lodinformation.oxt")
+    </collisionShapes>
 <?lua
   include("includes/weaponsettings3.oxi")
@@ -59,7 +59,7 @@
   gametype=TeamDeathmatch
 >
-  <templates>
-    <Template link=lodtemplate_default />
-  </templates>
+	<templates>
+		<Template link=lodtemplate_default />
+	</templates>
 
 	<!-- Ausgang: Szene ===> ambientlight/skybox -->
Index: code/branches/presentation3/data/levels/The Time Machine.oxw
===================================================================
--- code/branches/presentation3/data/levels/The Time Machine.oxw	(revision 7081)
+++ code/branches/presentation3/data/levels/The Time Machine.oxw	(revision 7083)
@@ -64,7 +64,8 @@
 	gametype=TeamDeathmatch
 >
-  <templates>
-    <Template link=lodtemplate_default />
-  </templates>
+	<templates>
+		<Template link=lodtemplate_default />
+	</templates>
+
 	<Scene
 		ambientlight="0.8,0.8,0.8"
Index: code/branches/presentation3/data/levels/fps_test.oxw
===================================================================
--- code/branches/presentation3/data/levels/fps_test.oxw	(revision 7081)
+++ code/branches/presentation3/data/levels/fps_test.oxw	(revision 7083)
@@ -5,4 +5,5 @@
   include("templates/spaceship_H2.oxt")
   include("templates/fps.oxt")
+  include("templates/lodinformation.oxt")
 ?>
 
@@ -11,4 +12,8 @@
  description  = "tests"
 >
+  <templates>
+    <Template link=lodtemplate_default />
+  </templates>
+
   <Scene
    ambientlight = "0.1, 0.1, 0.1"
Index: code/branches/presentation3/data/levels/pickups.oxw
===================================================================
--- code/branches/presentation3/data/levels/pickups.oxw	(revision 7081)
+++ code/branches/presentation3/data/levels/pickups.oxw	(revision 7083)
@@ -17,4 +17,5 @@
     <Template link=lodtemplate_default />
   </templates>
+
   <Scene
     ambientlight = "0.8, 0.8, 0.8"
Index: code/branches/presentation3/data/levels/presentation.oxw
===================================================================
--- code/branches/presentation3/data/levels/presentation.oxw	(revision 7081)
+++ code/branches/presentation3/data/levels/presentation.oxw	(revision 7083)
@@ -13,4 +13,5 @@
     <Template link=lodtemplate_default />
   </templates>
+
   <Scene
    ambientlight = "0.3, 0.3, 0.3"
Index: code/branches/presentation3/data/levels/presentation09.oxw
===================================================================
--- code/branches/presentation3/data/levels/presentation09.oxw	(revision 7081)
+++ code/branches/presentation3/data/levels/presentation09.oxw	(revision 7083)
@@ -15,4 +15,5 @@
     <Template link=lodtemplate_default />
   </templates>
+
   <Scene
    ambientlight = "0.5, 0.5, 0.5"
Index: code/branches/presentation3/data/levels/presentation09b.oxw
===================================================================
--- code/branches/presentation3/data/levels/presentation09b.oxw	(revision 7081)
+++ code/branches/presentation3/data/levels/presentation09b.oxw	(revision 7083)
@@ -17,4 +17,5 @@
     <Template link=lodtemplate_default />
   </templates>
+
   <Scene
    ambientlight = "0.5, 0.5, 0.5"
Index: code/branches/presentation3/data/levels/presentationHS09.oxw
===================================================================
--- code/branches/presentation3/data/levels/presentationHS09.oxw	(revision 7081)
+++ code/branches/presentation3/data/levels/presentationHS09.oxw	(revision 7083)
@@ -18,4 +18,5 @@
     <Template link=lodtemplate_default />
   </templates>
+
   <Scene
    ambientlight = "0.6, 0.4, 0.4"
Index: code/branches/presentation3/data/levels/presentationHS09b.oxw
===================================================================
--- code/branches/presentation3/data/levels/presentationHS09b.oxw	(revision 7081)
+++ code/branches/presentation3/data/levels/presentationHS09b.oxw	(revision 7083)
@@ -23,4 +23,5 @@
     <Template link=lodtemplate_default />
   </templates>
+
   <Scene
     ambientlight = "0.8, 0.8, 0.8"
Index: code/branches/presentation3/data/levels/presentation_FS10.oxw
===================================================================
--- code/branches/presentation3/data/levels/presentation_FS10.oxw	(revision 7081)
+++ code/branches/presentation3/data/levels/presentation_FS10.oxw	(revision 7083)
@@ -5,4 +5,5 @@
   include("templates/spaceship_H2.oxt")
   include("templates/fps.oxt")
+  include("templates/lodinformation.oxt")
 ?>
 
@@ -11,4 +12,8 @@
  description  = "tests"
 >
+  <templates>
+    <Template link=lodtemplate_default />
+  </templates>
+
   <Scene
    ambientlight = "0.1, 0.1, 0.1"
Index: code/branches/presentation3/data/levels/presentation_FS10_ed.oxw
===================================================================
--- code/branches/presentation3/data/levels/presentation_FS10_ed.oxw	(revision 7081)
+++ code/branches/presentation3/data/levels/presentation_FS10_ed.oxw	(revision 7083)
@@ -5,4 +5,5 @@
   include("templates/spaceship_H2.oxt")
   include("templates/fps.oxt")
+  include("templates/lodinformation.oxt")
 ?>
 
@@ -11,4 +12,8 @@
  description  = "tests"
 >
+  <templates>
+    <Template link=lodtemplate_default />
+  </templates>
+
   <Scene
    ambientlight = "0.1, 0.1, 0.1"
Index: code/branches/presentation3/data/levels/presentation_dm.oxw
===================================================================
--- code/branches/presentation3/data/levels/presentation_dm.oxw	(revision 7081)
+++ code/branches/presentation3/data/levels/presentation_dm.oxw	(revision 7083)
@@ -14,4 +14,5 @@
     <Template link=lodtemplate_default />
   </templates>
+
   <Scene
    ambientlight = "0.5, 0.5, 0.5"
Index: code/branches/presentation3/data/levels/presentation_pong.oxw
===================================================================
--- code/branches/presentation3/data/levels/presentation_pong.oxw	(revision 7081)
+++ code/branches/presentation3/data/levels/presentation_pong.oxw	(revision 7083)
@@ -47,4 +47,8 @@
  gametype     = Pong
 >
+  <templates>
+    <Template link=lodtemplate_default />
+  </templates>
+
   <AmbientSound source="ambient/mainmenu.wav" playOnLoad=true />
 
Index: code/branches/presentation3/data/levels/test_stars.oxw
===================================================================
--- code/branches/presentation3/data/levels/test_stars.oxw	(revision 7081)
+++ code/branches/presentation3/data/levels/test_stars.oxw	(revision 7083)
@@ -2,4 +2,5 @@
   include("stats.oxo")
   include("hudtemplates3.oxo")
+  include("templates/lodinformation.oxt")
 ?>
 
@@ -16,4 +17,5 @@
     <Template link=lodtemplate_default />
   </templates>
+
   <Scene
     ambientlight = "0.8, 0.8, 0.8"
Index: code/branches/presentation3/data/levels/tutorial.oxw
===================================================================
--- code/branches/presentation3/data/levels/tutorial.oxw	(revision 7081)
+++ code/branches/presentation3/data/levels/tutorial.oxw	(revision 7083)
@@ -3,4 +3,5 @@
   include("stats.oxo")
   include("templates/spaceship_assff.oxt")
+  include("templates/lodinformation.oxt")
 ?>
 
@@ -12,4 +13,5 @@
     <Template link=lodtemplate_default />
   </templates>
+
   <Scene
    ambientlight = "0.5, 0.5, 0.5"
Index: code/branches/presentation3/data/levels/waypoints.oxw
===================================================================
--- code/branches/presentation3/data/levels/waypoints.oxw	(revision 7081)
+++ code/branches/presentation3/data/levels/waypoints.oxw	(revision 7083)
@@ -15,4 +15,5 @@
     <Template link=lodtemplate_default />
   </templates>
+
   <Scene
    ambientlight = "0.5, 0.5, 0.5"