Index: /code/branches/presentation3/data/levels/Fight in our Back.oxw
===================================================================
--- /code/branches/presentation3/data/levels/Fight in our Back.oxw	(revision 7083)
+++ /code/branches/presentation3/data/levels/Fight in our Back.oxw	(revision 7084)
@@ -7,4 +7,13 @@
 	include("templates/spaceship_Transporter.oxt")
 ?>
+
+<NotificationQueue
+	 name     = "notification"
+	 position = "0.40, 0.05"
+	 font     = "VeraMono"
+	 textsize = 0.020
+	 length   = 3
+	 width    = 50
+/>
 
 <!--*****************************************************************************************************************************************************************************************-->
@@ -59,7 +68,7 @@
   gametype=TeamDeathmatch
 >
-	<templates>
-		<Template link=lodtemplate_default />
-	</templates>
+  <templates>
+    <Template link=lodtemplate_default />
+  </templates>
 
 	<!-- Ausgang: Szene ===> ambientlight/skybox -->
@@ -75,5 +84,5 @@
 <!--*****************************************************************************************************************************************************************************************-->
 <!--Quests-->
-	<GlobalQuest id="FightInOurBack.DiscoveryMission_">    <!--QUESTIDS MUST HAVE AT LEAST 32 CHARACTERS-->
+	<GlobalQuest id="FightInOurBack.DiscoveryMission_">
 		<QuestDescription title="Discovery mission" description="Your team has to scout out this sector." failMessage="You failed!" completeMessage="You won. You have reached the end of this level." />
 		<subquests>
@@ -97,5 +106,5 @@
 <!--Player's Spawnpoints______________________________________________________________________________________________________________________________________________________________________-->
 		<!--Spieler Spawnpoint ===> position/direction--> <!-- funktioniert noch nicht ab naechtem Mal wahrscheinlich-->
-		<SpawnPoint position="0,50,25" direction="2000,0,-1000" spawnclass=SpaceShip pawndesign=spaceshipassffplayer team=0 active="true" /> 
+		<SpawnPoint position="0,50,25" direction="2000,0,-1000" spawnclass=SpaceShip pawndesign=spaceshipassffplayer team=0 active="true" > 
 <!--->			<events>
 				<activity>
@@ -111,4 +120,5 @@
 				</activity>  include("templates/lodinformation.oxt")
 			</events>
+<!---->
 		</SpawnPoint>
 		
@@ -127,20 +137,23 @@
 			</events>
 			<attached>
-				<Billboard position="0,0,0" colour="1.0,1.0,1.0" material="Examples/Flare" />
-				<DistanceTrigger name="FightInOurBack_MainStart_FollowStart" position="0,0,0" distance="50" target="DistanceTriggerBeacon" targetname="spaceshipassffplayer" invert=1 stayactive=1 activations=1 />
+				<!--<Billboard position="0,0,0" colour="1.0,1.0,1.0" material="Examples/Flare" />-->
 			</attached>
 		</QuestEffectBeacon>
+		
+		<DistanceTrigger name="FightInOurBack_MainStart_FollowStart" position="0,50,25" distance="50" target="DistanceTriggerBeacon" targetname="spaceshipassffplayer" />
 <!---->
 		<QuestEffectBeacon position="8000,0,3100" times=1 >
 			<effects>
-				<AddQuest questID="FightInOurBack.FollowYourGroupLeader" />
+				<AddQuest questID="FightInOurBack.TransportersAhead" />
 				<AddQuest questID="FightInOurBack.TheySentUsAssistance" />
 				<CompleteQuest questID="FightInOurBack.FollowYourGroupLeader" />
 			</effects>
 			<events>
-				<EventListener event="FightInOurBack_FollowEnd_DTranspStart_AssisStart" />
+				<execute>
+					<EventListener event="FightInOurBack_FollowEnd_DTranspStart_AssisStart" />
+				</execute>
 			</events>
 			<attached>
-				<Billboard position="0,0,0" colour="1,1,1" material="Examples/Flare" />
+				<!--<Billboard position="0,0,0" colour="1,1,1" material="Examples/Flare" />-->
 				<DistanceTrigger name="FightInOurBack_FollowEnd_DTranspStart_AssisStart" position="0,0,0" distance="1000" target="DistanceTriggerBeacon" targetname="PlayerDistanceTrigger" stayactive=1 activations=1 />
 			</attached>
@@ -220,6 +233,6 @@
 						<Model mesh="cube.mesh" scale=0 position="2050,0,-1000" />
 						<Model mesh="cube.mesh" scale=0 position="6050,0,0" />
-            					<Model mesh="cube.mesh" scale=0 position="10050,0,3000" />
-            					<Model mesh="cube.mesh" scale=0 position="3050,0,3000" />
+            			<Model mesh="cube.mesh" scale=0 position="10050,0,3000" />
+            			<Model mesh="cube.mesh" scale=0 position="3050,0,3000" />
 						<Model mesh="cube.mesh" scale=0 position="-4050,0,3000" />
 					</waypoints>
@@ -237,6 +250,6 @@
 						<Model mesh="cube.mesh" scale=0 position="2000,0,-900" />
 						<Model mesh="cube.mesh" scale=0 position="6000,0,0" />
-            					<Model mesh="cube.mesh" scale=0 position="10000,0,3100" />
-            					<Model mesh="cube.mesh" scale=0 position="3000,0,3100" />
+            			<Model mesh="cube.mesh" scale=0 position="10000,0,3100" />
+            			<Model mesh="cube.mesh" scale=0 position="3000,0,3100" />
 						<Model mesh="cube.mesh" scale=0 position="-4000,0,3100"/>
 					</waypoints>
@@ -254,6 +267,6 @@
 						<Model mesh="cube.mesh" scale=0 position="2000,0,-1100" />
 						<Model mesh="cube.mesh" scale=0 position="6000,0,-100" />
-            					<Model mesh="cube.mesh" scale=0 position="10000,0,2900" />
-            					<Model mesh="cube.mesh" scale=0 position="3000,0,2900" />
+            			<Model mesh="cube.mesh" scale=0 position="10000,0,2900" />
+            			<Model mesh="cube.mesh" scale=0 position="3000,0,2900" />
 						<Model mesh="cube.mesh" scale=0 position="-4000,0,2900" />
 					</waypoints>
@@ -432,5 +445,5 @@
 				<WaypointPatrolController alertnessRadius=1500 team=1>
 					<waypoints>
-						<Model mesh="cube.mesh" scale=10 position="<?lua print(200+8000) ?>,0,1000" />
+						<Model mesh="cube.mesh" scale=0 position="<?lua print(200+8000) ?>,0,1000" />
 					</waypoints>
 				</WaypointPatrolController>
Index: /code/branches/presentation3/data/levels/The Time Machine.oxw
===================================================================
--- /code/branches/presentation3/data/levels/The Time Machine.oxw	(revision 7083)
+++ /code/branches/presentation3/data/levels/The Time Machine.oxw	(revision 7084)
@@ -64,8 +64,7 @@
 	gametype=TeamDeathmatch
 >
-	<templates>
-		<Template link=lodtemplate_default />
-	</templates>
-
+  <templates>
+    <Template link=lodtemplate_default />
+  </templates>
 	<Scene
 		ambientlight="0.8,0.8,0.8"
@@ -90,8 +89,13 @@
 
 
-<!--TRIGGERS IF THE PLAYERS REACHES THE "TIME MACHINE"-->
-<!--->
-		<DistanceTrigger name="LeaveTimeMachine" position="0,0,0" distance="100" target="DistanceTriggerBeacon" targetname="PlayerDistanceTrigger" stayactive="true" activations=1000 invert="true" ><!---->
-<!--->	<DistanceTrigger name="EnterTimeMachine" position="0,0,0" distance="100" target="DistanceTriggerBeacon" targetname="PlayerDistanceTrigger" active=false >
+
+		
+		
+		
+
+<!--Triggers (used for the Time Machine effect)_________________________________________________________________________________________________________________________partially working-->
+		
+		<!--TRIGGERS IF THE PLAYERS REACHES THE "TIME MACHINE"-->
+		<DistanceTrigger name="EnterTimeMachine" position="0,0,0" distance="100" target="DistanceTriggerBeacon" targetname="PlayerDistanceTrigger" invert=true >
 			<attached>
 				<Billboard position="0,0,0" material="Examples/Flare" colour="0, 0, 1" scale=1/>
@@ -104,49 +108,37 @@
 			</attached>
 		</DistanceTrigger>
-<!--->
-<!---->
-		<DistanceTrigger name="EnterTimeMachine" position="0,0,0" distance="100" target="DistanceTriggerBeacon" targetname="PlayerDistanceTrigger" invert=1 >
-<!---->			<attached>
-				<Billboard position="0,0,0" material="Examples/Flare" colour="0, 0, 1" scale=1/>
-				<Billboard position="100,0,0" material="Examples/Flare" colour="0, 0, 1" scale=1/>
-				<Billboard position="0,100,0" material="Examples/Flare" colour="0, 0, 1" scale=1/>
-				<Billboard position="0,0,100" material="Examples/Flare" colour="0, 0, 1" scale=1/>
-				<Billboard position="-100,0,0" material="Examples/Flare" colour="0, 0, 1" scale=1/>
-				<Billboard position="0,-100,0" material="Examples/Flare" colour="0, 0, 1" scale=1/>
-				<Billboard position="0,0,-100" material="Examples/Flare" colour="0, 0, 1" scale=1/>
-			</attached>
-<!---->	</DistanceTrigger>
-		
-		
-		
+		
+<!--Triggers (used for the Time Machine effect)_____________________________________________________________________________________________________________________________________________-->
+
 <!--Creating Spaceships___________________________________________________________________________________________________________________________________________________________________OK-->
-
+		
 <?lua for i=0,5,1 do 
 y=math.random(-500,500)
-z=math.random(-500,500)
+z=math.random(-1000,1000)
 y2=math.random(-500,500)
-z2=math.random(-500,500)
+z2=math.random(-1000,1000)
 health=230
 addh=100
 ?>
-<!--
-<EventTrigger name="ActivateAll" stayactive=1 >
-	<events>
-		<trigger>
-			<Bot>
-				<events>
-					<activity>
-						<EventListener event="EnterTimeMachine" />
-					</activity>
-				</events>
-			</Bot>
-		</trigger>
-	</events>
-</EventTrigger>
--->
-		<EventTrigger name="ActivateAll" >
+		<!--		Creation of Bots	
+		<EventTrigger name="ActivateAll" stayactive=1 >
 			<events>
 				<trigger>
-					<SpaceShip position="-2000,<?lua print(y) ?>,<?lua print(z) ?>" lookat="1000,<?lua print(y) ?>,<?lua print(z) ?>" health=<?lua print(health) ?> maxhealth=<?lua print(health) ?> initialhealth=<?lua print(health) ?> >
+					<Bot>
+						<events>
+							<activity>
+								<EventListener event="EnterTimeMachine" />
+							</activity>
+						</events>
+					</Bot>
+				</trigger>
+			</events>
+		</EventTrigger>
+		-->
+		
+		<EventTrigger name="ActivateAll" stayactive=true >
+			<events>
+				<trigger>
+					<SpaceShip position="-4000,<?lua print(y) ?>,<?lua print(z) ?>" lookat="1000,<?lua print(y) ?>,<?lua print(z) ?>" health=<?lua print(health) ?> maxhealth=<?lua print(health) ?> initialhealth=<?lua print(health) ?> >
 						<templates>
 							<Template link=spaceshipassff />
@@ -159,5 +151,4 @@
 								<events>
 									<activity>
-										<EventListener event="EnterTimeMachine" />
 										<Trigger mode=or >
 											<EventTrigger>
@@ -171,5 +162,5 @@
 												<events>
 													<trigger>
-														<EventListener event="Reactivate" />
+														<EventListener event="ActivateAll" />
 													</trigger>
 												</events>
@@ -187,92 +178,8 @@
 
 
-		<Trigger mode=and name="Reactivate">
-			<EventTrigger switch=true >
-				<events>
-					<trigger>
-						<EventListener event="ActivateAll" />
-						<EventListener event="ToggleBack" />
-					</trigger> 
-				</events>
-			</EventTrigger>
-			<EventTrigger invert=true>
-				<events>
-					<trigger>
-						<EventListener event="EnterTimeMachine" />
-					</trigger>
-				</events>
-			</EventTrigger>
-		</Trigger>
-		
-		<Trigger mode=and name="ToggleBack" >
-			<EventTrigger invert=1 >
-				<events>
-					<trigger>
-						<EventListener event="EnterTimeMachine" />
-					
-					</trigger>
-				</events>
-			</EventTrigger>
-		</Trigger>
-		
-<!--->
-		<Trigger mode=and name="SomeTrigger">
-			<EventTrigger switch=true >
-				<events>
-					<trigger>
-						<EventListener event="trigger1" />
-						<EventListener event="ToggleBack" />
-					</trigger>
-				</events>
-			</EventTrigger>
-			<EventTrigger invert=true>
-				<events>
-					<trigger>
-						<EventListener event="EnterTimeMachine" />
-					</trigger>
-				</events>
-			</EventTrigger>
-		</Trigger>
-
-		<Trigger name="trigger1" mode=and>
-			<EventTrigger>
-				<events>
-					<trigger>
-						<EventListener event="ActivateAll" />
-					</trigger>
-				</events>
-			</EventTrigger>
-			<EventTrigger invert=true>
-				<events>
-					<trigger>
-						<EventListener event="EnterTimeMachine" />
-					</trigger>
-				</events>
-			</EventTrigger>
-		</Trigger>
-			
-		<Trigger mode=and name="ToggleBack">
-			<EventTrigger switch=true>
-				<events>
-					<trigger>
-						<EventListener event="trigger1" />
-						<EventListener event="ToggleBack" />
-					</trigger>
-				</events>
-			</EventTrigger>
-			<EventTrigger>
-				<events>
-					<trigger>
-						<EventListener event="EnterTimeMachine" />
-					</trigger>
-				</events>
-			</EventTrigger>
-		</Trigger>
-<!---->
-<!--
-		<EventTrigger name="ActivateAll">
+		<EventTrigger name="ActivateAll" stayactive=true>
 			<events>
 				<trigger>
-					<SpaceShip position="2000,<?lua print(y2) ?>,<?lua print(z2) ?>" lookat="-1000,<?lua print(y2) ?>, <?lua print(z2) ?>" health=<?lua print(health+addh) ?> maxhealth=<?lua print(health+addh) ?> initialhealth=<?lua print(health+addh) ?> >
+					<SpaceShip position="4000,<?lua print(y2) ?>,<?lua print(z2) ?>" lookat="-1000,<?lua print(y2) ?>, <?lua print(z2) ?>" health=<?lua print(health+addh) ?> maxhealth=<?lua print(health+addh) ?> initialhealth=<?lua print(health+addh) ?> >
 						<templates>
 							<Template link=spaceshippirate />
@@ -296,5 +203,5 @@
 												<events>
 													<trigger>
-														<EventListener event="SomeTrigger" />
+														<EventListener event="ActivateAll" />
 													</trigger>
 												</events>
@@ -309,10 +216,9 @@
 			</events>
 		</EventTrigger>
--->
-
-<?lua end ?>
+<?lua end ?>
+
 <!--Creating Spaceships_____END___________________________________________________________________________________________________________________________________________________________OK-->
 
-<!--BILLBOARD ON THE MIDDLE OF THE BATTLEFIELD-->
+<!--BILLBOARD IN THE MIDDLE OF THE BATTLEFIELD-->
 		<Billboard position="0,0,0" colour="1.0,1.0,1.0" material="Flares/backlightflare" scale=1 />
 		
@@ -361,5 +267,5 @@
 
 
-<!--FIRST DISTANT-->
+<!--FIRST DISTANT PAIR-->
 <?lua for i=0,1,1 do ?>
 						<MovableEntity	position="0,0,0" rotationaxis="0,1,0" rotationrate=10 >
@@ -408,5 +314,5 @@
 						</MovableEntity>
 <?lua end ?>
-<!--SECOND DISTANT-->
+<!--SECOND DISTANT PAIR-->
 <?lua for i=0,1,1 do ?>
 						<MovableEntity	position="0,0,0" rotationaxis="1,0,0" rotationrate=8 >
@@ -455,5 +361,5 @@
 						</MovableEntity>
 <?lua end ?>
-<!--THIRD DISTANT-->
+<!--THIRD DISTANT PAIR-->
 <?lua for i=0,1,1 do ?>
 						<MovableEntity	position="0,0,0" rotationaxis="1,1,0" rotationrate=9 >
@@ -502,5 +408,5 @@
 						</MovableEntity>
 <?lua end ?>
-<!--FOURTH DISTANT-->
+<!--FOURTH DISTANT PAIR-->
 <?lua for i=0,1,1 do ?>
 						<MovableEntity	position="0,0,0" rotationaxis="1,0,1" rotationrate=12 >
@@ -549,5 +455,5 @@
 						</MovableEntity>
 <?lua end ?>
-<!--FIFTH DISTANT-->
+<!--FIFTH DISTANT PAIR-->
 <?lua for i=0,1,1 do ?>
 						<MovableEntity	position="0,0,0" rotationaxis="1,0,1" rotationrate=11 >
@@ -596,12 +502,9 @@
 						</MovableEntity>
 <?lua end ?>
-
-
-
 					</attached>
 				</MovableEntity>
-				<!--<DistanceTrigger>-->
 			</attached>
 		</StaticEntity>
+		
 
 <!--TIME MACHINE END____________________________________________________________________________________________________________________________________________________________________-->
@@ -609,5 +512,5 @@
 <!--Forcefields_________________________________________________________________________________________________________________________________________________________________________-->
 
-<!--NO 1->
+<!--NO 1-->
 		<ForceField position="-2500,0,800" direction="1,0,0" diameter=500 velocity=5000 length=1000 />
 		<MovableEntity position="-2500,0,800">
@@ -620,5 +523,5 @@
 				</attached>
 		</MovableEntity>
-<!--NO 2->
+<!--NO 2-->
 		<ForceField position="2500,0,-800" direction="-1,0,0" diameter=500 velocity=5000 length=1000 />
 		<MovableEntity position="2500,0,-800">
@@ -632,5 +535,5 @@
 		</MovableEntity>
 		
-<!--NO 3->
+<!--NO 3-->
 		<ForceField position="-2500,0,-600" direction="0.75,0.5,1" diameter=500 velocity=5000 length=1000 />
 		<MovableEntity position="-2500,0,-600">
@@ -643,6 +546,6 @@
 			</attached>
 		</MovableEntity>
-<!---->		
-<!--NO 4->
+
+<!--NO 4-->
 		<ForceField position="2500,0,600" direction="-0.75,-0.5,-1" diameter=500 velocity=5000 length=1000 />
 		<MovableEntity position="2500,0,600">
@@ -655,7 +558,6 @@
 			</attached>
 		</MovableEntity>
-<!---->
-
-<!--NO 5 (samller)->
+
+<!--NO 5 (samller)-->
 		<ForceField position="0,-500,500" direction="0,1,0" diameter=500 velocity=3000 length=1000 />
 		<MovableEntity position="0,-500,500">
@@ -667,7 +569,6 @@
 			</attached>
 		</MovableEntity>
-<!---->
-
-<!--No 6 (smaller)->
+
+<!--No 6 (smaller)-->
 		<ForceField position="0,500,-500" direction="0,-1,0" diameter=500 velocity=3000 length=1000 />
 		<MovableEntity position="0,500,-500">
@@ -679,7 +580,6 @@
 			</attached>
 		</MovableEntity>
-<!---->
-
-<!--No 7 (smaller)->
+
+<!--No 7 (smaller)-->
 		<ForceField position="500,0,-500" direction="0,0,1" diameter=500 velocity=2500 length=750 />
 		<MovableEntity position="500,0,-500">
@@ -691,7 +591,6 @@
 			</attached>
 		</MovableEntity>
-<!---->
-
-<!--No 8 (smaller)->
+
+<!--No 8 (smaller)-->
 		<ForceField position="-500,0,500" direction="0,0,-1" diameter=500 velocity=2500 length=750 />
 		<MovableEntity position="-500,0,500">
@@ -703,28 +602,10 @@
 			</attached>
 		</MovableEntity>
-<!---->
-
-<!--Invisible Forcefield (immediatly sends you to the time machine)-->
+
+<!--Invisible Forcefield (immediatly sends the player to the time machine)-->
 		<ForceField position="-2500,2500,800" direction="1,-1,-0.32" diameter=200 velocity=10000 length=880 />
-		<Billboard position="-2500,2500,800" material="Examples/Flare" colour="1,1,1" />
-
-<!---->
-
+		<Billboard position="-2500,2500,800" material="Examples/Flare" colour="1,1,1" /> <!--This Billboard looks like a star on the Skybox-->
+		
+		
 	</Scene>
 </Level>
-
-
-
-
-
-
-
-
-
-
-
-
-
-
-
-