Index: /trunk/src/world_entities/npcs/ground_turret.cc
===================================================================
--- /trunk/src/world_entities/npcs/ground_turret.cc	(revision 7101)
+++ /trunk/src/world_entities/npcs/ground_turret.cc	(revision 7102)
@@ -67,10 +67,10 @@
   this->setHealth(300);
 
-  /*  left = new Turret();
-  left->setParent(this);
-  left->setRelCoor(0,10,0);
-  right = new Turret();
-  right->setParent(this);
-  right->setRelCoor(0,10,0);*/
+  this->weaponHolder[0].addNodeFlags(PNODE_PROHIBIT_DELETE_WITH_PARENT);
+  this->weaponHolder[1].addNodeFlags(PNODE_PROHIBIT_DELETE_WITH_PARENT);
+
+  this->weaponHolder[0].setRelCoor(0,25,0);
+  this->weaponHolder[0].setParent(this);
+  this->weaponHolder[1].setParent(this);
 }
 
@@ -101,4 +101,5 @@
     this->left->setRelCoor(0,10,-5);
     this->left->requestAction( WA_ACTIVATE);
+    this->left->setParent(&this->weaponHolder[0]);
   }
 
@@ -112,4 +113,5 @@
     this->right->setRelCoor(0,10,5);
     this->left->requestAction( WA_ACTIVATE);
+    this->right->setParent(&this->weaponHolder[0]);
   }
 }
Index: /trunk/src/world_entities/npcs/ground_turret.h
===================================================================
--- /trunk/src/world_entities/npcs/ground_turret.h	(revision 7101)
+++ /trunk/src/world_entities/npcs/ground_turret.h	(revision 7102)
@@ -34,4 +34,5 @@
 
  private:
+   PNode  weaponHolder[2];
    Weapon *left, *right;
 };
Index: /trunk/src/world_entities/power_ups/power_up.cc
===================================================================
--- /trunk/src/world_entities/power_ups/power_up.cc	(revision 7101)
+++ /trunk/src/world_entities/power_ups/power_up.cc	(revision 7102)
@@ -47,4 +47,6 @@
   this->pickupBuffer = NULL;
   this->respawnBuffer = NULL;
+
+  this->collider = NULL;
 }
 
@@ -120,4 +122,5 @@
   if(entity->isA(CL_EXTENDABLE))
   {
+    this->collider = entity;
     if(dynamic_cast<Extendable*>(entity)->pickup(this))
     {
@@ -144,4 +147,5 @@
     {
       this->toList(OM_COMMON);
+      this->collider = NULL;
       if (likely(this->respawnBuffer != NULL))
         this->soundSource.play(this->respawnBuffer);
Index: /trunk/src/world_entities/power_ups/power_up.h
===================================================================
--- /trunk/src/world_entities/power_ups/power_up.h	(revision 7101)
+++ /trunk/src/world_entities/power_ups/power_up.h	(revision 7102)
@@ -53,4 +53,6 @@
   float respawnStart;
   static const char* respawnTypes[];
+
+  WorldEntity* collider;
 };
 
Index: /trunk/src/world_entities/projectiles/guided_missile.cc
===================================================================
--- /trunk/src/world_entities/projectiles/guided_missile.cc	(revision 7101)
+++ /trunk/src/world_entities/projectiles/guided_missile.cc	(revision 7102)
@@ -45,5 +45,5 @@
   this->setHealthMax(10);
   this->lifeSpan = 4.0;
-  this->agility = 1;
+  this->agility = 3.5;
   this->maxVelocity = 75;
 
Index: /trunk/src/world_entities/weapons/weapon.cc
===================================================================
--- /trunk/src/world_entities/weapons/weapon.cc	(revision 7101)
+++ /trunk/src/world_entities/weapons/weapon.cc	(revision 7102)
@@ -115,5 +115,5 @@
   WorldEntity::loadParams(root);
 
-  LoadParam(root, "projectile", this, Weapon, setProjectileType)
+  LoadParam(root, "projectile", this, Weapon, setProjectileTypeC)
   .describe("Sets the name of the Projectile to load onto the Entity");
 
@@ -164,5 +164,5 @@
  * @param projectile the Name of the Projectile.
  */
-void Weapon::setProjectileType(const char* projectile)
+void Weapon::setProjectileTypeC(const char* projectile)
 {
   if (projectile == NULL)
Index: /trunk/src/world_entities/weapons/weapon.h
===================================================================
--- /trunk/src/world_entities/weapons/weapon.h	(revision 7101)
+++ /trunk/src/world_entities/weapons/weapon.h	(revision 7102)
@@ -111,5 +111,5 @@
     inline long getCapability() const { return this->capability; };
     void setProjectileType(ClassID projectile);
-    void setProjectileType(const char* projectile);
+    void setProjectileTypeC(const char* projectile);
     /** @returns The projectile's classID */
     inline ClassID getProjectileType() { return this->projectile; };