Index: /trunk/src/lib/gui/gl_gui/glgui_box.cc
===================================================================
--- /trunk/src/lib/gui/gl_gui/glgui_box.cc	(revision 7129)
+++ /trunk/src/lib/gui/gl_gui/glgui_box.cc	(revision 7130)
@@ -18,6 +18,4 @@
 #include "glgui_box.h"
 
-#include "list.h"
-
 using namespace std;
 
@@ -38,5 +36,4 @@
 GLGuiBox::~GLGuiBox()
 {
-  delete this->children;
 }
 
@@ -47,5 +44,4 @@
 {
   this->setClassID(CL_GLGUI_BOX, "GLGuiBox");
-  this->children = new tList<GLGuiWidget>;
 }
 
@@ -55,5 +51,5 @@
     return;
 
-  this->children->add(widget);
+  this->children.push_back(widget);
 }
 
@@ -63,10 +59,9 @@
   if (widget == NULL)
   {
-    delete this->children;
-    this->children = new tList<GLGuiWidget>;
+    this->children.clear();
   }
   else
   {
-    this->children->remove(widget);
+    this->children.remove(widget);
   }
 }
@@ -74,15 +69,13 @@
 void GLGuiBox::showAll()
 {
-  tIterator<GLGuiWidget>* itC = this->children->getIterator();
-  GLGuiWidget* enumC = itC->firstElement();
-  while (enumC != NULL)
+  std::list<GLGuiWidget*>::iterator itC = this->children.begin();
+  while (itC != this->children.end())
   {
-    if (enumC->isA(CL_GLGUI_CONTAINER))
-      static_cast<GLGuiContainer*>(enumC)->showAll();
+    if ((*itC)->isA(CL_GLGUI_CONTAINER))
+      static_cast<GLGuiContainer*>(*itC)->showAll();
     else
-      enumC->show();
-    enumC = itC->nextElement();
+      (*itC)->show();
+    itC++;
   }
-  delete itC;
 
   this->show();
@@ -92,15 +85,13 @@
 void GLGuiBox::hideAll()
 {
-  tIterator<GLGuiWidget>* itC = this->children->getIterator();
-  GLGuiWidget* enumC = itC->firstElement();
-  while (enumC != NULL)
+  std::list<GLGuiWidget*>::iterator itC = this->children.begin();
+  while (itC != this->children.end())
   {
-    if (enumC->isA(CL_GLGUI_CONTAINER))
-      static_cast<GLGuiContainer*>(enumC)->showAll();
+    if ((*itC)->isA(CL_GLGUI_CONTAINER))
+      static_cast<GLGuiContainer*>(*itC)->hideAll();
     else
-      enumC->hide();
-    enumC = itC->nextElement();
+      (*itC)->hide();
+    itC++;
   }
-  delete itC;
 
   this->hide();
Index: /trunk/src/lib/gui/gl_gui/glgui_box.h
===================================================================
--- /trunk/src/lib/gui/gl_gui/glgui_box.h	(revision 7129)
+++ /trunk/src/lib/gui/gl_gui/glgui_box.h	(revision 7130)
@@ -11,5 +11,4 @@
 
 // FORWARD DECLARATION
-template<class T> class tList;
 
 typedef enum
@@ -41,6 +40,5 @@
  private:
    GLGuiBoxType             type;
-   tList<GLGuiWidget>*      children;
-
+   std::list<GLGuiWidget*>  children;
 };
 
Index: /trunk/src/lib/particles/engine/particle_engine.cc
===================================================================
--- /trunk/src/lib/particles/engine/particle_engine.cc	(revision 7129)
+++ /trunk/src/lib/particles/engine/particle_engine.cc	(revision 7130)
@@ -20,5 +20,4 @@
 #include "class_list.h"
 
-#include "list.h"
 #include "debug.h"
 #include "stdlibincl.h"
Index: /trunk/src/lib/particles/engine/particle_engine.h
===================================================================
--- /trunk/src/lib/particles/engine/particle_engine.h	(revision 7129)
+++ /trunk/src/lib/particles/engine/particle_engine.h	(revision 7130)
@@ -11,9 +11,9 @@
 #include "particle_system.h"
 #include "particle_emitter.h"
+#include <list>
 
 #include "parser/tinyxml/tinyxml.h"
 
 // FORWARD DECLARATION
-template<class T> class tList;
 
 //! A ParticleConnection enables us to emitt from any emitter into any other particleSystem
@@ -64,6 +64,6 @@
   static ParticleEngine* singletonRef;        //!< The reference to the engine.
 
-  tList<ParticleSystem>* systemList;          //!< A list of Systems handled by the ParticleEngine.
-  tList<ParticleEmitter>* emitterList;        //!< A list of Emitters handled by the ParticleEngine.
+  std::list<ParticleSystem> systemList;          //!< A list of Systems handled by the ParticleEngine.
+  std::list<ParticleEmitter> emitterList;        //!< A list of Emitters handled by the ParticleEngine.
 
   tList<ParticleConnection>* connectionList;  //!< A list of Connections between Systems and Emitters.
Index: /trunk/src/lib/physics/physics_engine.cc
===================================================================
--- /trunk/src/lib/physics/physics_engine.cc	(revision 7129)
+++ /trunk/src/lib/physics/physics_engine.cc	(revision 7130)
@@ -19,5 +19,4 @@
 
 #include "class_list.h"
-#include "list.h"
 #include "parser/tinyxml/tinyxml.h"
 #include "factory.h"
Index: /trunk/src/lib/physics/physics_interface.cc
===================================================================
--- /trunk/src/lib/physics/physics_interface.cc	(revision 7129)
+++ /trunk/src/lib/physics/physics_interface.cc	(revision 7130)
@@ -26,5 +26,4 @@
 #include "p_node.h"
 
-#include "list.h"
 #include "string.h"
 #include "stdincl.h"
Index: /trunk/src/subprojects/collision_detection/collision_detection.cc
===================================================================
--- /trunk/src/subprojects/collision_detection/collision_detection.cc	(revision 7129)
+++ /trunk/src/subprojects/collision_detection/collision_detection.cc	(revision 7130)
@@ -31,6 +31,4 @@
 
 #include "graphics_engine.h"
-#include "list.h"
-
 
 Model* mod;
Index: /trunk/src/util/loading/load_param.cc
===================================================================
--- /trunk/src/util/loading/load_param.cc	(revision 7129)
+++ /trunk/src/util/loading/load_param.cc	(revision 7130)
@@ -18,6 +18,4 @@
 #include "load_param.h"
 #include "load_param_description.h"
-
-#include "list.h"
 
 #include <stdarg.h>
Index: /trunk/src/util/loading/load_param.h
===================================================================
--- /trunk/src/util/loading/load_param.h	(revision 7129)
+++ /trunk/src/util/loading/load_param.h	(revision 7130)
@@ -30,5 +30,4 @@
 
 // Forward Declaration //
-template<class T> class tList;
 class LoadClassDescription;
 class LoadParamDescription;
Index: /trunk/src/util/loading/load_param_description.cc
===================================================================
--- /trunk/src/util/loading/load_param_description.cc	(revision 7129)
+++ /trunk/src/util/loading/load_param_description.cc	(revision 7130)
@@ -17,5 +17,4 @@
 
 #include "multi_type.h"
-#include "list.h"
 #include <stdarg.h>
 #include "stdlibincl.h"
@@ -130,5 +129,5 @@
  *  A list, that holds all the classes that are loadable (classes not objects!!)
  */
-tList<LoadClassDescription>* LoadClassDescription::classList = NULL;
+std::list<LoadClassDescription*>* LoadClassDescription::classList = NULL;
 
 /**
@@ -146,9 +145,7 @@
 
   if (LoadClassDescription::classList == NULL)
-    LoadClassDescription::classList = new tList<LoadClassDescription>;
-
-  LoadClassDescription::classList->add(this);
-
-  this->paramList = new tList<LoadParamDescription>;
+    LoadClassDescription::classList = new std::list<LoadClassDescription*>;
+
+  LoadClassDescription::classList->push_back(this);
 }
 
@@ -158,13 +155,10 @@
 LoadClassDescription::~LoadClassDescription()
 {
-  tIterator<LoadParamDescription>* iterator = this->paramList->getIterator();
-  LoadParamDescription* enumParamDesc = iterator->firstElement();
-  while (enumParamDesc)
-  {
-    delete enumParamDesc;
-    enumParamDesc = iterator->nextElement();
-  }
-  delete iterator;
-  delete this->paramList;
+  std::list<LoadParamDescription*>::iterator it = this->paramList.begin();
+  while (!this->paramList.empty())
+  {
+    delete this->paramList.front();
+    this->paramList.pop_front();
+  }
 
   delete[] this->className;
@@ -175,12 +169,9 @@
   if (LoadClassDescription::classList != NULL)
   {
-    tIterator<LoadClassDescription>* iterator = LoadClassDescription::classList->getIterator();
-    LoadClassDescription* delElem = iterator->firstElement();
-    while (delElem != NULL)
-    {
-      delete delElem;
-      delElem = iterator->nextElement();
-    }
-    delete iterator;
+    while (!LoadClassDescription::classList->empty())
+    {
+      delete LoadClassDescription::classList->front();
+      LoadClassDescription::classList->pop_front();
+    }
     delete LoadClassDescription::classList;
   }
@@ -200,16 +191,13 @@
   if (LoadClassDescription::classList != NULL)
   {
-    tIterator<LoadClassDescription>* iterator = LoadClassDescription::classList->getIterator();
-    LoadClassDescription* enumClassDesc = iterator->firstElement();
-    while (enumClassDesc)
-    {
-      if (!strcmp(enumClassDesc->className, className))
+    std::list<LoadClassDescription*>::iterator it = LoadClassDescription::classList->begin();
+    while (it != LoadClassDescription::classList->end())
+    {
+      if (!strcmp((*it)->className, className))
       {
-        delete iterator;
-        return enumClassDesc;
-      }
-      enumClassDesc = iterator->nextElement();
-    }
-    delete iterator;
+        return (*it);
+      }
+      it++;
+    }
   }
   return new LoadClassDescription(className);
@@ -222,21 +210,17 @@
 LoadParamDescription* LoadClassDescription::addParam(const char* paramName)
 {
-  tIterator<LoadParamDescription>* iterator = this->paramList->getIterator();
-  LoadParamDescription* enumParamDesc = iterator->firstElement();
-  while (enumParamDesc)
-  {
-    if (!strcmp(enumParamDesc->paramName, paramName))
-    {
-      delete iterator;
-          //return enumParamDesc;
+  std::list<LoadParamDescription*>::iterator it = this->paramList.begin();
+  while (it != this->paramList.end())
+  {
+    if (!strcmp((*it)->paramName, paramName))
+    {
       return NULL;
     }
-    enumParamDesc = iterator->nextElement();
-  }
-  delete iterator;
+    it++;
+  }
 
   LoadParamDescription* newParam = new LoadParamDescription(paramName);
 
-  this->paramList->add(newParam);
+  this->paramList.push_back(newParam);
   return newParam;
 }
@@ -253,22 +237,17 @@
   if (LoadClassDescription::classList != NULL)
   {
-    tIterator<LoadClassDescription>* classIT = LoadClassDescription::classList->getIterator();
-    LoadClassDescription* enumClassDesc = classIT->firstElement();
-    while (enumClassDesc)
-    {
-      PRINT(3)("<%s>\n", enumClassDesc->className);
-      tIterator<LoadParamDescription>* paramIT = enumClassDesc->paramList->getIterator();
-      LoadParamDescription* enumParamDesc = paramIT->firstElement();
-      while (enumParamDesc)
+    std::list<LoadClassDescription*>::iterator classDesc = LoadClassDescription::classList->begin();
+    while (classDesc != LoadClassDescription::classList->end())
+    {
+      PRINT(3)("<%s>\n", (*classDesc)->className);
+      std::list<LoadParamDescription*>::iterator param = (*classDesc)->paramList.begin();
+      while (param != (*classDesc)->paramList.end())
       {
-        enumParamDesc->print();
-        enumParamDesc = paramIT->nextElement();
-      }
-      delete paramIT;
-
-      PRINT(3)("</%s>\n\n", enumClassDesc->className);
-      enumClassDesc = classIT->nextElement();
-    }
-    delete classIT;
+        (*param)->print();
+        param++;
+      }
+      PRINT(3)("</%s>\n\n", (*classDesc)->className);
+      classDesc++;
+    }
   }
   else
@@ -283,8 +262,10 @@
  * !! The strings MUST NOT be deleted !!
  */
-tList<const char>* LoadClassDescription::searchClassWithShort(const char* classNameBegin)
-{
-  unsigned int searchLength = strlen(classNameBegin);
-  tList<const char>* retVal = new tList<const char>;
+std::list<const char*> LoadClassDescription::searchClassWithShort(const char* classNameBegin)
+{
+  /// FIXME
+  // NOT USED
+/*  unsigned int searchLength = strlen(classNameBegin);
+  std::list<const char*> retVal;
 
   tIterator<LoadClassDescription>* iterator = LoadClassDescription::classList->getIterator();
@@ -301,4 +282,4 @@
   delete iterator;
 
-  return retVal;
-}
+  return retVal;*/
+}
Index: /trunk/src/util/loading/load_param_description.h
===================================================================
--- /trunk/src/util/loading/load_param_description.h	(revision 7129)
+++ /trunk/src/util/loading/load_param_description.h	(revision 7130)
@@ -23,7 +23,7 @@
 
 #include "base_object.h"
+#include <list>
 
 // Forward Declaration //
-template<class T> class tList;
 class MultiType;
 
@@ -68,13 +68,13 @@
 
   static void printAll(const char* fileName = NULL);
-  static tList<const char>* searchClassWithShort(const char* classNameBegin);
+  static std::list<const char*> searchClassWithShort(const char* classNameBegin);
 //  static const LoadParamDescription* getClass(const char* className);
 
  private:
-  static bool                          parametersDescription;  //!< if parameter-description should be enabled.
-  static tList<LoadClassDescription>*  classList;              //!< a list, that stores all the loadable classes. (after one instance has been loaded)
-  char*                                className;              //!< name of the class
+  static bool                              parametersDescription;  //!< if parameter-description should be enabled.
+  static std::list<LoadClassDescription*>* classList;              //!< a list, that stores all the loadable classes. (after one instance has been loaded)
+  char*                                    className;              //!< name of the class
 
-  tList<LoadParamDescription>*         paramList;              //!< List of parameters this class knows.
+  std::list<LoadParamDescription*>         paramList;              //!< List of parameters this class knows.
 };
 
Index: /trunk/src/util/track/track_manager.cc
===================================================================
--- /trunk/src/util/track/track_manager.cc	(revision 7129)
+++ /trunk/src/util/track/track_manager.cc	(revision 7130)
@@ -23,5 +23,4 @@
 #include "track_node.h"
 #include "stdincl.h"
-#include "list.h"
 #include "text.h"
 #include "t_animation.h"
Index: /trunk/src/util/track/track_manager.h
===================================================================
--- /trunk/src/util/track/track_manager.h	(revision 7129)
+++ /trunk/src/util/track/track_manager.h	(revision 7130)
@@ -24,5 +24,4 @@
 class TiXmlElement;
 template<class T> class tAnimation;
-template<class T> class tList;
 
 // Static Definitions
Index: /trunk/src/world_entities/power_ups/param_power_up.cc
===================================================================
--- /trunk/src/world_entities/power_ups/param_power_up.cc	(revision 7129)
+++ /trunk/src/world_entities/power_ups/param_power_up.cc	(revision 7130)
@@ -19,5 +19,4 @@
 #include "factory.h"
 #include "state.h"
-#include "list.h"
 
 #include "primitive_model.h"
Index: /trunk/src/world_entities/power_ups/weapon_power_up.cc
===================================================================
--- /trunk/src/world_entities/power_ups/weapon_power_up.cc	(revision 7129)
+++ /trunk/src/world_entities/power_ups/weapon_power_up.cc	(revision 7130)
@@ -19,5 +19,4 @@
 #include "factory.h"
 #include "state.h"
-#include "list.h"
 #include "network_game_manager.h"
 
Index: /trunk/src/world_entities/weapons/cannon.cc
===================================================================
--- /trunk/src/world_entities/weapons/cannon.cc	(revision 7129)
+++ /trunk/src/world_entities/weapons/cannon.cc	(revision 7130)
@@ -30,5 +30,4 @@
 
 #include "vector.h"
-#include "list.h"
 #include "animation3d.h"
 
Index: /trunk/src/world_entities/weapons/hyperblaster.cc
===================================================================
--- /trunk/src/world_entities/weapons/hyperblaster.cc	(revision 7129)
+++ /trunk/src/world_entities/weapons/hyperblaster.cc	(revision 7130)
@@ -29,6 +29,4 @@
 #include "factory.h"
 
-#include "vector.h"
-#include "list.h"
 #include "animation3d.h"
 