Index: code/branches/presentation3/src/external/ceguilua/ceguilua-0.6.0/ceguilua/CEGUILua.h
===================================================================
--- code/branches/presentation3/src/external/ceguilua/ceguilua-0.6.0/ceguilua/CEGUILua.h	(revision 7133)
+++ code/branches/presentation3/src/external/ceguilua/ceguilua-0.6.0/ceguilua/CEGUILua.h	(revision 7134)
@@ -35,5 +35,5 @@
 	Import / Export control macros
 *************************************************************************/
-#if (defined( __WIN32__ ) || defined( _WIN32 )) && !defined(CEGUI_STATIC)
+#if (defined( __WIN32__ ) || defined( _WIN32 )) && !defined(CEGUILUA_STATIC)
 #   ifdef CEGUILUA_EXPORTS
 #       define CEGUILUA_API __declspec(dllexport)
Index: code/branches/presentation3/src/external/ceguilua/ceguilua-0.6.0/ceguilua/changes_orxonox.diff
===================================================================
--- code/branches/presentation3/src/external/ceguilua/ceguilua-0.6.0/ceguilua/changes_orxonox.diff	(revision 7133)
+++ code/branches/presentation3/src/external/ceguilua/ceguilua-0.6.0/ceguilua/changes_orxonox.diff	(revision 7134)
@@ -67,5 +67,10 @@
 --- CEGUILua.h	Wed Jul  9 18:24:49 2008
 +++ CEGUILua.h	Thu Jan 29 10:17:07 2009
-@@ -38,7 +38,11 @@
+@@ -34,11 +34,15 @@
+ /*************************************************************************
+ 	Import / Export control macros
+ *************************************************************************/
+-#if (defined( __WIN32__ ) || defined( _WIN32 )) && !defined(CEGUI_STATIC)
++#if (defined( __WIN32__ ) || defined( _WIN32 )) && !defined(CEGUILUA_STATIC)
  #   ifdef CEGUILUA_EXPORTS
  #       define CEGUILUA_API __declspec(dllexport)
Index: code/branches/presentation3/src/external/ceguilua/ceguilua-0.6.1/ceguilua/CEGUILua.h
===================================================================
--- code/branches/presentation3/src/external/ceguilua/ceguilua-0.6.1/ceguilua/CEGUILua.h	(revision 7133)
+++ code/branches/presentation3/src/external/ceguilua/ceguilua-0.6.1/ceguilua/CEGUILua.h	(revision 7134)
@@ -35,5 +35,5 @@
 	Import / Export control macros
 *************************************************************************/
-#if (defined( __WIN32__ ) || defined( _WIN32 )) && !defined(CEGUI_STATIC)
+#if (defined( __WIN32__ ) || defined( _WIN32 )) && !defined(CEGUILUA_STATIC)
 #   ifdef CEGUILUA_EXPORTS
 #       define CEGUILUA_API __declspec(dllexport)
Index: code/branches/presentation3/src/external/ceguilua/ceguilua-0.6.1/ceguilua/changes_orxonox.diff
===================================================================
--- code/branches/presentation3/src/external/ceguilua/ceguilua-0.6.1/ceguilua/changes_orxonox.diff	(revision 7133)
+++ code/branches/presentation3/src/external/ceguilua/ceguilua-0.6.1/ceguilua/changes_orxonox.diff	(revision 7134)
@@ -1,5 +1,10 @@
 --- CEGUILua.h	Mi Jul  9 18:24:49 2008
 +++ CEGUILua.h	Do Jan 29 10:18:14 2009
-@@ -38,7 +38,11 @@
+@@ -34,11 +34,15 @@
+ /*************************************************************************
+ 	Import / Export control macros
+ *************************************************************************/
+-#if (defined( __WIN32__ ) || defined( _WIN32 )) && !defined(CEGUI_STATIC)
++#if (defined( __WIN32__ ) || defined( _WIN32 )) && !defined(CEGUILUA_STATIC)
  #   ifdef CEGUILUA_EXPORTS
  #       define CEGUILUA_API __declspec(dllexport)
Index: code/branches/presentation3/src/external/ceguilua/ceguilua-0.6.2/ceguilua/CEGUILua.h
===================================================================
--- code/branches/presentation3/src/external/ceguilua/ceguilua-0.6.2/ceguilua/CEGUILua.h	(revision 7133)
+++ code/branches/presentation3/src/external/ceguilua/ceguilua-0.6.2/ceguilua/CEGUILua.h	(revision 7134)
@@ -35,5 +35,5 @@
 	Import / Export control macros
 *************************************************************************/
-#if (defined( __WIN32__ ) || defined( _WIN32 )) && !defined(CEGUI_STATIC)
+#if (defined( __WIN32__ ) || defined( _WIN32 )) && !defined(CEGUILUA_STATIC)
 #   ifdef CEGUILUA_EXPORTS
 #       define CEGUILUA_API __declspec(dllexport)
Index: code/branches/presentation3/src/external/ceguilua/ceguilua-0.6.2/ceguilua/changes_orxonox.diff
===================================================================
--- code/branches/presentation3/src/external/ceguilua/ceguilua-0.6.2/ceguilua/changes_orxonox.diff	(revision 7133)
+++ code/branches/presentation3/src/external/ceguilua/ceguilua-0.6.2/ceguilua/changes_orxonox.diff	(revision 7134)
@@ -82,5 +82,10 @@
 --- CEGUILua.h	Sun Jan 25 18:32:57 2009
 +++ CEGUILua.h	Thu Jan 29 10:17:42 2009
-@@ -38,7 +38,11 @@
+@@ -34,11 +34,15 @@
+ /*************************************************************************
+ 	Import / Export control macros
+ *************************************************************************/
+-#if (defined( __WIN32__ ) || defined( _WIN32 )) && !defined(CEGUI_STATIC)
++#if (defined( __WIN32__ ) || defined( _WIN32 )) && !defined(CEGUILUA_STATIC)
  #   ifdef CEGUILUA_EXPORTS
  #       define CEGUILUA_API __declspec(dllexport)