Index: code/branches/presentation3/src/modules/designtools/DesignToolsPrereqs.h
===================================================================
--- code/branches/presentation3/src/modules/designtools/DesignToolsPrereqs.h	(revision 7135)
+++ code/branches/presentation3/src/modules/designtools/DesignToolsPrereqs.h	(revision 7136)
@@ -43,5 +43,5 @@
 //-----------------------------------------------------------------------
 
-#if defined(ORXONOX_PLATFORM_WINDOWS) && !defined(ORXONOX_STATIC_BUILD)
+#if defined(ORXONOX_PLATFORM_WINDOWS) && !defined(DESIGNTOOLS_STATIC_BUILD)
 #  ifdef DESIGNTOOLS_SHARED_BUILD
 #    define _DesignToolsExport __declspec(dllexport)
Index: code/branches/presentation3/src/modules/objects/ObjectsPrereqs.h
===================================================================
--- code/branches/presentation3/src/modules/objects/ObjectsPrereqs.h	(revision 7135)
+++ code/branches/presentation3/src/modules/objects/ObjectsPrereqs.h	(revision 7136)
@@ -43,5 +43,5 @@
 //-----------------------------------------------------------------------
 
-#if defined(ORXONOX_PLATFORM_WINDOWS) && !defined(ORXONOX_STATIC_BUILD)
+#if defined(ORXONOX_PLATFORM_WINDOWS) && !defined(OBJECTS_STATIC_BUILD)
 #  ifdef OBJECTS_SHARED_BUILD
 #    define _ObjectsExport __declspec(dllexport)
Index: code/branches/presentation3/src/modules/overlays/OverlaysPrereqs.h
===================================================================
--- code/branches/presentation3/src/modules/overlays/OverlaysPrereqs.h	(revision 7135)
+++ code/branches/presentation3/src/modules/overlays/OverlaysPrereqs.h	(revision 7136)
@@ -43,5 +43,5 @@
 //-----------------------------------------------------------------------
 
-#if defined(ORXONOX_PLATFORM_WINDOWS) && !defined(ORXONOX_STATIC_BUILD)
+#if defined(ORXONOX_PLATFORM_WINDOWS) && !defined(OVERLAYS_STATIC_BUILD)
 #  ifdef OVERLAYS_SHARED_BUILD
 #    define _OverlaysExport __declspec(dllexport)
Index: code/branches/presentation3/src/modules/pickup/PickupPrereqs.h
===================================================================
--- code/branches/presentation3/src/modules/pickup/PickupPrereqs.h	(revision 7135)
+++ code/branches/presentation3/src/modules/pickup/PickupPrereqs.h	(revision 7136)
@@ -43,5 +43,5 @@
 //-----------------------------------------------------------------------
 
-#if defined(ORXONOX_PLATFORM_WINDOWS) && !defined(ORXONOX_STATIC_BUILD)
+#if defined(ORXONOX_PLATFORM_WINDOWS) && !defined(PICKUP_STATIC_BUILD)
 #  ifdef PICKUP_SHARED_BUILD
 #    define _PickupExport __declspec(dllexport)
Index: code/branches/presentation3/src/modules/pong/PongPrereqs.h
===================================================================
--- code/branches/presentation3/src/modules/pong/PongPrereqs.h	(revision 7135)
+++ code/branches/presentation3/src/modules/pong/PongPrereqs.h	(revision 7136)
@@ -43,5 +43,5 @@
 //-----------------------------------------------------------------------
 
-#if defined(ORXONOX_PLATFORM_WINDOWS) && !defined(ORXONOX_STATIC_BUILD)
+#if defined(ORXONOX_PLATFORM_WINDOWS) && !defined(PONG_STATIC_BUILD)
 #  ifdef PONG_SHARED_BUILD
 #    define _PongExport __declspec(dllexport)
Index: code/branches/presentation3/src/modules/questsystem/QuestsystemPrereqs.h
===================================================================
--- code/branches/presentation3/src/modules/questsystem/QuestsystemPrereqs.h	(revision 7135)
+++ code/branches/presentation3/src/modules/questsystem/QuestsystemPrereqs.h	(revision 7136)
@@ -43,5 +43,5 @@
 //-----------------------------------------------------------------------
 
-#if defined(ORXONOX_PLATFORM_WINDOWS) && !defined(ORXONOX_STATIC_BUILD)
+#if defined(ORXONOX_PLATFORM_WINDOWS) && !defined(QUESTSYSTEM_STATIC_BUILD)
 #  ifdef QUESTSYSTEM_SHARED_BUILD
 #    define _QuestsystemExport __declspec(dllexport)
Index: code/branches/presentation3/src/modules/weapons/WeaponsPrereqs.h
===================================================================
--- code/branches/presentation3/src/modules/weapons/WeaponsPrereqs.h	(revision 7135)
+++ code/branches/presentation3/src/modules/weapons/WeaponsPrereqs.h	(revision 7136)
@@ -43,5 +43,5 @@
 //-----------------------------------------------------------------------
 
-#if defined(ORXONOX_PLATFORM_WINDOWS) && !defined(ORXONOX_STATIC_BUILD)
+#if defined(ORXONOX_PLATFORM_WINDOWS) && !defined(WEAPONS_STATIC_BUILD)
 #  ifdef WEAPONS_SHARED_BUILD
 #    define _WeaponsExport __declspec(dllexport)