Index: branches/qt_gui/configure.ac
===================================================================
--- branches/qt_gui/configure.ac	(revision 7139)
+++ branches/qt_gui/configure.ac	(revision 7140)
@@ -640,4 +640,5 @@
                  src/lib/gui/gtk_gui/Makefile
                  src/lib/gui/gl_gui/Makefile
+                 src/lib/gui/qt_gui/Makefile
                  src/lib/parser/Makefile
                  src/lib/parser/tinyxml/Makefile
Index: branches/qt_gui/src/defs/class_id.h
===================================================================
--- branches/qt_gui/src/defs/class_id.h	(revision 7139)
+++ branches/qt_gui/src/defs/class_id.h	(revision 7140)
@@ -312,4 +312,17 @@
   CL_GLGUI_BAR                  =    0x00000b30,
 
+  // QT_GUI
+  CL_GUI_SAVEABLE               =    0x00b10000,
+  CL_QTGUI_BUTTON               =    0x00000ba0,
+  CL_QTGUI_PUSHBUTTON           =    0x00000ba3,
+  CL_QTGUI_CHECKBUTTON          =    0x00000ba4,
+  CL_QTGUI_RADIOBUTTON          =    0x00000ba5,
+  CL_QTGUI_CONTAINER            =    0x00b200a0,
+  CL_QTGUI_BOX                  =    0x00000ba7,
+  CL_QTGUI_FRAME                =    0x00000ba8,
+  CL_QTGUI_WINDOW               =    0x00000ba9,
+  CL_QTMENU_IMAGE_SCREEN        =    0x00000ba0,
+  CL_QTGUI_BAR                  =    0x00000ba0,
+
   /// AUDIO stuff (range from 0x00000c00 to 0x00000cff)
   CL_SOUND_BUFFER               =    0x00000c01,
Index: branches/qt_gui/src/lib/gui/Makefile.am
===================================================================
--- branches/qt_gui/src/lib/gui/Makefile.am	(revision 7139)
+++ branches/qt_gui/src/lib/gui/Makefile.am	(revision 7140)
@@ -1,2 +1,3 @@
 SUBDIRS = gtk_gui \
-	  gl_gui
+	  gl_gui \
+	  qt_gui
Index: branches/qt_gui/src/lib/gui/qt_gui/Makefile.am
===================================================================
--- branches/qt_gui/src/lib/gui/qt_gui/Makefile.am	(revision 7140)
+++ branches/qt_gui/src/lib/gui/qt_gui/Makefile.am	(revision 7140)
@@ -0,0 +1,19 @@
+MAINSRCDIR=../../..
+include $(MAINSRCDIR)/defs/include_paths.am
+
+AM_LDFLAGS =
+
+noinst_LIBRARIES = libORXqtgui.a
+
+
+libORXqtgui_a_CPPFLAGS = -DBUILD_ORXONOX
+
+
+libORXqtgui_a_SOURCES = \
+		gui_saveable.cc \
+		qt_gui.cc
+
+noinst_HEADERS=
+
+EXTRA_DIST =
+
Index: branches/qt_gui/src/lib/gui/qt_gui/gui_saveable.cc
===================================================================
--- branches/qt_gui/src/lib/gui/qt_gui/gui_saveable.cc	(revision 7140)
+++ branches/qt_gui/src/lib/gui/qt_gui/gui_saveable.cc	(revision 7140)
@@ -0,0 +1,39 @@
+/*
+   orxonox - the future of 3D-vertical-scrollers
+
+   Copyright (C) 2004 orx
+
+   This program is free software; you can redistribute it and/or modify
+   it under the terms of the GNU General Public License as published by
+   the Free Software Foundation; either version 2, or (at your option)
+   any later version.
+
+   ### File Specific:
+   main-programmer: Benjamin Grauer
+   co-programmer: ...
+*/
+
+//#define DEBUG_SPECIAL_MODULE DEBUG_MODULE_
+
+#include "gui_saveable.h"
+
+using namespace std;
+
+
+/**
+ * standard constructor
+*/
+GuiSaveable::GuiSaveable ()
+{
+   this->setClassID(CL_GUI_SAVEABLE, "GuiSaveable");
+
+}
+
+
+/**
+ * standard deconstructor
+*/
+GuiSaveable::~GuiSaveable ()
+{
+  // delete what has to be deleted here
+}
Index: branches/qt_gui/src/lib/gui/qt_gui/gui_saveable.h
===================================================================
--- branches/qt_gui/src/lib/gui/qt_gui/gui_saveable.h	(revision 7140)
+++ branches/qt_gui/src/lib/gui/qt_gui/gui_saveable.h	(revision 7140)
@@ -0,0 +1,30 @@
+/*!
+ * @file gui_saveable.h
+ * @brief Definition of ...
+*/
+
+#ifndef _GUI_SAVEABLE_H
+#define _GUI_SAVEABLE_H
+
+#include "base_object.h"
+#include "multi_type.h"
+
+// FORWARD DECLARATION
+
+//! A class for ...
+class GuiSaveable : virtual public BaseObject {
+
+ public:
+   virtual void load(const MultiType& value) = 0;
+   virtual const MultiType& save() = 0;
+
+
+protected:
+  GuiSaveable();
+  virtual ~GuiSaveable();
+
+ private:
+   MultiType       value;
+};
+
+#endif /* _GUI_SAVEABLE_H */
Index: branches/qt_gui/src/lib/gui/qt_gui/qt_gui.cc
===================================================================
--- branches/qt_gui/src/lib/gui/qt_gui/qt_gui.cc	(revision 7140)
+++ branches/qt_gui/src/lib/gui/qt_gui/qt_gui.cc	(revision 7140)
@@ -0,0 +1,21 @@
+/*
+   orxonox - the future of 3D-vertical-scrollers
+
+   Copyright (C) 2004 orx
+
+   This program is free software; you can redistribute it and/or modify
+   it under the terms of the GNU General Public License as published by
+   the Free Software Foundation; either version 2, or (at your option)
+   any later version.
+
+   ### File Specific:
+   main-programmer: ...
+   co-programmer: ...
+*/
+
+//#define DEBUG_SPECIAL_MODULE DEBUG_MODULE_
+
+#include "qt_gui.h"
+
+using namespace std;
+
Index: branches/qt_gui/src/lib/gui/qt_gui/qt_gui.h
===================================================================
--- branches/qt_gui/src/lib/gui/qt_gui/qt_gui.h	(revision 7140)
+++ branches/qt_gui/src/lib/gui/qt_gui/qt_gui.h	(revision 7140)
@@ -0,0 +1,17 @@
+/*!
+ * @file qt_gui.h
+ * @brief Definition of ...
+*/
+
+#ifndef __QT_GUI_H
+#define __QT_GUI_H
+
+#include "base_object.h"
+#include <QtGui/qpushbutton.h>
+#include <QtGui/qcheckbox>
+#include <QtGui/qslider>
+
+
+
+
+#endif /* __QT_GUI_H */